Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class TrustManagersType

    java.lang.Object
      org.apache.cxf.configuration.security.TrustManagersType

    public class TrustManagersType

extends java.lang.Object

This structure contains the specification of JSSE TrustManagers for a single Keystore used for trusted certificates.

Java class for TrustManagersType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TrustManagersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="keyStore" type="{http://cxf.apache.org/configuration/security}KeyStoreType" minOccurs="0"/>
             <element name="certStore" type="{http://cxf.apache.org/configuration/security}CertStoreType" minOccurs="0"/>
           </choice>
           <attribute name="provider" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="factoryAlgorithm" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected CertStoreType` | `certStore`
`protected java.lang.String` | `factoryAlgorithm`
`protected KeyStoreType` | `keyStore`
`protected java.lang.String` | `provider`

Constructor Summary
`TrustManagersType()`

Method Summary
`CertStoreType` | `getCertStore()` Gets the value of the certStore property.
`java.lang.String` | `getFactoryAlgorithm()` Gets the value of the factoryAlgorithm property.
`KeyStoreType` | `getKeyStore()` Gets the value of the keyStore property.
`java.lang.String` | `getProvider()` Gets the value of the provider property.
`boolean` | `isSetCertStore()`
`boolean` | `isSetFactoryAlgorithm()`
`boolean` | `isSetKeyStore()`
`boolean` | `isSetProvider()`
`void` | `setCertStore(CertStoreType value)` Sets the value of the certStore property.
`void` | `setFactoryAlgorithm(java.lang.String value)` Sets the value of the factoryAlgorithm property.
`void` | `setKeyStore(KeyStoreType value)` Sets the value of the keyStore property.
`void` | `setProvider(java.lang.String value)` Sets the value of the provider property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyStore

    protected KeyStoreType keyStore

### certStore

    protected CertStoreType certStore

### provider

    protected java.lang.String provider

### factoryAlgorithm

    protected java.lang.String factoryAlgorithm

Constructor Detail

### TrustManagersType

    public TrustManagersType()

Method Detail

### getKeyStore

    public KeyStoreType getKeyStore()

  Gets the value of the keyStore property.

  Returns:
    possible object is `KeyStoreType`

### setKeyStore

    public void setKeyStore(KeyStoreType value)

  Sets the value of the keyStore property.

  Parameters:
    `value` - allowed object is `KeyStoreType`

### isSetKeyStore

    public boolean isSetKeyStore()

### getCertStore

    public CertStoreType getCertStore()

  Gets the value of the certStore property.

  Returns:
    possible object is `CertStoreType`

### setCertStore

    public void setCertStore(CertStoreType value)

  Sets the value of the certStore property.

  Parameters:
    `value` - allowed object is `CertStoreType`

### isSetCertStore

    public boolean isSetCertStore()

### getProvider

    public java.lang.String getProvider()

  Gets the value of the provider property.

  Returns:
    possible object is `String`

### setProvider

    public void setProvider(java.lang.String value)

  Sets the value of the provider property.

  Parameters:
    `value` - allowed object is `String`

### isSetProvider

    public boolean isSetProvider()

### getFactoryAlgorithm

    public java.lang.String getFactoryAlgorithm()

  Gets the value of the factoryAlgorithm property.

  Returns:
    possible object is `String`

### setFactoryAlgorithm

    public void setFactoryAlgorithm(java.lang.String value)

  Sets the value of the factoryAlgorithm property.

  Parameters:
    `value` - allowed object is `String`

### isSetFactoryAlgorithm

    public boolean isSetFactoryAlgorithm()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF